Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Problema con MOd stramm  (Read 9779 times)

0 Members and 1 Guest are viewing this topic.

Danielk87

  • Coppermine newbie
  • Offline Offline
  • Posts: 2
Problema con MOd stramm
« on: February 24, 2010, 11:04:33 pm »

inanzitutto salve a tutti e complimenti per l' ottimo supporto che offrite :)

Allora io possiedo coppermine 1.4.26, ho scaricato il mod stramm per questa versione e infine ho richiamto upload.php!
Fatto tutto ciò vado nella home della gallery ma mi appare una pagina bianca con scritto Fatal error!fortunatamente avevo backuppato tutto prima!
Ma come mai compare questo errore? nella guida dell' installazione della mod dice chiaramente di sostituire i file originali di coppermine con quelli della mod!Qualcuno sa come aiutarmi?
Logged

Davide Renda

  • Moderator
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 1427
  • aka "Lontano"
    • www.daviderenda.eu
Re: Problema con MOd stramm
« Reply #1 on: February 26, 2010, 11:16:06 pm »

Temo tu non abbia aggiornato correttamente.
Devi, inizialmente, aggiornare tutti i files scaricando l'ultima release cpg "classica", successivamente applicare il mod e, quindi, lanciare update.php dal tuo navigatore internet.
Hai fatto così? il fatal error è, generalmente, dovuto ad un aggiornamento solo dei files moddati e non degli altri.

Danielk87

  • Coppermine newbie
  • Offline Offline
  • Posts: 2
Re: Problema con MOd stramm
« Reply #2 on: February 27, 2010, 03:39:05 pm »

in che senso l ultima release? io ho già la 1.4.26, c è qualcos altro che devo aggiornare?

grazie infinite
Logged

Davide Renda

  • Moderator
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 1427
  • aka "Lontano"
    • www.daviderenda.eu
Re: Problema con MOd stramm
« Reply #3 on: March 08, 2010, 10:00:38 pm »

Il mod di Stramm non è altro che una customizzazione di alcuni files del core Coppermine. Ciò significa che gli altri files del pacchetto Coppermine standard sono gli stessi.
Mi spiego meglio: il pacchetto Coppermine contiene un determinato numero di file (non so quanti, diciamo 100), il Mod di Stramm solo una parte di essi (diciamo il 30% così a spanne). Per installare la versione moddata devi prima installare la versione "classica" e poi sostituire i files moddati, semplicemente copiandoli sopra.
Se nella tua cartella remota hai solamente copiato i files contenuti nel pacchetto Stramm Mod, ti mancano svariati file, ecco la ragione del fatal error.

sterud

  • Coppermine newbie
  • Offline Offline
  • Posts: 8
Re: Problema con MOd stramm
« Reply #4 on: September 01, 2010, 01:07:47 pm »

ciao ragazzi anche a me succede lo stesso erorre vi spiego quello che ho fatto.
-io ho aperto il mio sito su aruba
-recentemente direttamente da aruba hanno aggiunto un applicazione per scaricare coppermine gallery, così mi sono scaricato la versione 1.4.26
-ora ho scaricato il mod pack stramm per la versione 1.4.26 ho scompattato il file zip e successivamente ho rimpiazzata ogni file nella sua apposita cartella tipo che se c'erano qualche file nuovi nel pack nella cartella themes io gli aggiungevo nella cartella themes.....a parte qualche cartella che ho dovuto creare io perchè non c'era che se non sbaglio era cropper.
-una volta sostituito tutto ho lanciato la mia gallery con update.php solo che mi diceva FATAL ERROR e da li non sono più riuscito a sistemare nulla come mai? cosa devo fare? al ragazzo che aveva il mio stesso problema avete risposto che bisogna scaricare la versione classica ma dove la trovo...please spiegatemi bene cosa devo fare
grazie in anticipo ^^
Logged

Davide Renda

  • Moderator
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 1427
  • aka "Lontano"
    • www.daviderenda.eu
Re: Problema con MOd stramm
« Reply #5 on: September 01, 2010, 11:16:26 pm »

Mai usare le apps che promettono di installare automaticamente e magicamente qualsiasi script...
Ascolta: cancella tutto, svuota le tabelle mySQL e fai un'installazione "normale" di Coppermine, soprattutto adesso l'ultima release stabile è la 1.5.8 ;)

sterud

  • Coppermine newbie
  • Offline Offline
  • Posts: 8
Re: Problema con MOd stramm
« Reply #6 on: September 02, 2010, 10:32:05 am »

ah ok ora disistallo tutto.
mi potresti dire dove scaricare l'ultima realise e dove posso trovare un tutorial per poterlo installare su aruba? perche' ho usato l'applicazione proprio per quello prk non ho idea di come si faccia
Logged

sterud

  • Coppermine newbie
  • Offline Offline
  • Posts: 8
Re: Problema con MOd stramm
« Reply #7 on: September 03, 2010, 12:41:18 am »

perfetto ce l'ho fatta a installare COPPERMINE GALLERY l'ultima versione che mi hai detto tu. La nuova versione contiene già STRAMM e CPGFETCH?? se non li contiene mi potresti lincare qui le versioni giuste e funzionanti più le loro varie guide da seguire per l'installazione? intanto ti dico, quando le dovrò installare dovrò di sicuro sostituire qualche file con qualcun'altro nuovo. in quel caso basta aggiugere il nuovo file e basta? (con il sistema di add file in aruba basta che aggiungo il nuovo file con lo stesso nome di quello vecchio e me lo sostituisce automaticamente) va bene come procedimento? please fammi sapere sto impazzendo. comunque sono fiero di me sono riuscito a installare per il momento coppermine ^^ ciao
Logged

sterud

  • Coppermine newbie
  • Offline Offline
  • Posts: 8
Re: Problema con MOd stramm
« Reply #8 on: September 03, 2010, 10:36:49 pm »

ho provato con modpack 1.4.27 ma mi dava ancora FATAL ERROR non è che la nuova versione di coppermine contiene già STRAMM??? mentre CPGFETCH?please fammi sapere grazie
Logged

Stramm

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: 00
  • Offline Offline
  • Gender: Male
  • Posts: 6006
    • Bettis Wollwelt
Re: Problema con MOd stramm
« Reply #9 on: September 03, 2010, 10:50:31 pm »

you need to run update.php as mentioned in the modpack announcement thread (there are modifications in the database scheme that make that mandatory)
yoursite.tld/path_to_coppermine/update.php

Davide Renda

  • Moderator
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 1427
  • aka "Lontano"
    • www.daviderenda.eu
Re: Problema con MOd stramm
« Reply #10 on: September 03, 2010, 11:43:35 pm »

Anzitutto con la versione 1.5 non ti servirà alcun modpack, in quanto la maggior parte è già contenuta nel core dl pacchetto.
Se hai sovrascritto i files della versione 1.5 con quelli del modpack 1.4 ecco il motivo del fatal error.
Spiega esattamente cosa hai installato e come.

sterud

  • Coppermine newbie
  • Offline Offline
  • Posts: 8
Re: Problema con MOd stramm
« Reply #11 on: September 04, 2010, 10:37:30 am »

allora adesso ho ripristinato i vecchi file che c'erano in coppermine galleri 1.5 comunque quando mi dava fatal error ho provato con modpack 1.4.27
ho scaricato il modpsack 1.4.27 stramm, l'ho scompattato, con un programma FTP ho caricato sul mio disco remoto tutti i file del pacchetto sostituendo quelli originali di copperime galleri 1.5.
poi una volta sostituiti tutti i file sono andato su www.miosito.it/gallery/update.php e da lì mi dava fatal error poi anche entrando solamente in www.miosito.it/gallary mi dava lo stesso erore e quindi non potevo nenache accedere alla mia galleria.

Mi potresti dire cosa devo fare se devo installare qualcosa o meno. Io tutto quello che ho bisogno è sapere se in questa versione devo installare stramm e cpgfetch????

please fammi sapere le versioni giuste grazie
Logged

sterud

  • Coppermine newbie
  • Offline Offline
  • Posts: 8
Re: Problema con MOd stramm
« Reply #12 on: September 06, 2010, 12:03:36 pm »

fatemi sapere qualcosa please
Logged

Davide Renda

  • Moderator
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 1427
  • aka "Lontano"
    • www.daviderenda.eu
Re: Problema con MOd stramm
« Reply #13 on: September 07, 2010, 06:23:21 pm »

Quote
Io tutto quello che ho bisogno è sapere se in questa versione devo installare stramm e cpgfetch?
Prima puntualizzazione:
C'è un po' di confusione. Lo Stramm's Modpack era un pacchetto di modifiche allo script principale, diciamo una sorta di tuning al prodotto finito. Si applicava solamente ed unicamente sulle versioni 1.4.x.
La maggior parte di questi hacks, hanno trovato spazio direttamente  nella recente versione 1.5.x, per cui non esiste più (o almeno non ancora, magari in futuro chissà), né serve più un modpack.

Seconda puntualizzazione:
I sistemi di installazione automatica, che siano di Aruba o di chicchessia, sono script che ripetono automaticamente ed autonomamente operazioni standard, senza potersi adattare alle reali esigenze dell'utente. Tanto per onor di cronaca, l'ultima release stabile del pacchetto 1.4 è la 1.4.27, quindi quella proposta da Aruba ha ancora un paio di falle di sicurezza non patchate. Inoltre, da qualche mese, il nuovo corso 1.5 è iniziato, e siamo alla versione 1.5.8 attualmente! Praticamente Aruba ti propone un prodotto che ha circa 6 mesi di età!

Terza puntualizzazione.
Cpmfetch è un add-on al programma di base, che rende possibile tramite query in PHP di estrarre foto su siti esterni alla galleria. Al momento non esiste una versione funzionante con la nuova 1.5.x, solo le versioni 1.4.x supportano le sue caratteristiche. Prima di scegliere cosa/come, ti pongo una domanda: a cosa ti servirebbe Cpmfetch e, soprattutto, hai chiare conoscenze in PHP per poterlo usare?

Quarta puntualizzazione. E la più importante!
Cancella tutto quello che ha "fatto" Aruba da solo (usando un client ftp), svuota le tabelle del database mySQL precedentemente riempite dall'installer e, quando tutto è vuoto ed intonso, riparti con una nuova installazione utilizzando l'ultimo rilascio stabile disponibile (sempre in evidenza in questa sezione, ed in quella anglofona "Announcements").

Ciao Ciao!
Pages: [1]   Go Up
 

Page created in 0.022 seconds with 20 queries.